Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.portlet.modules.map.actions.portlets
Class ScaleChooserPortletPerform

    java.lang.Object
      org.deegree.portal.portlet.modules.actions.AbstractPortletPerform
          org.deegree.portal.portlet.modules.actions.IGeoPortalPortletPerform
              org.deegree.portal.portlet.modules.map.actions.portlets.ScaleChooserPortletPerform

    public class ScaleChooserPortletPerform

extends IGeoPortalPortletPerform

This Perform class takes care of changing the WMC's bounding box based on a scale paramter. The parameter is passed in the request. The paramter name is defined by the static member NEW_SCALE_VALUE

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Ugo Taddei, last edited by: $Author: mschneider $

Field Summary
`static String` | `AVAILABLE_SCALES`
`static double` | `DEFAULT_PIXEL_SIZE`
`static String` | `REQUESTED_SCALE_VALUE`

Fields inherited from class org.deegree.portal.portlet.modules.actions.IGeoPortalPortletPerform
`PARAM_BBOX, PARAM_LAYER, PARAM_MAPMODE, PARAM_SESSIONID, PARAM_STYLE, sc, SESSION_HISTORY, SESSION_HISTORYPOSITION, vcMap`

Fields inherited from class org.deegree.portal.portlet.modules.actions.AbstractPortletPerform
`AVAILABLE_WMC, CURRENT_WMC, CURRENT_WMC_NAME, INIT_MAPPORTLETID, INIT_WMC, PARAM_MAPACTION, PARAM_MAPPORTLET, PARAM_MODE, parameter, portlet, request, SESSION_CURRENTFILAYER, SESSION_HOME, SESSION_VIEWCONTEXT`

Constructor Summary
`ScaleChooserPortletPerform(javax.servlet.http.HttpServletRequest request, org.apache.jetspeed.portal.Portlet portlet, javax.servlet.ServletContext sc)` private constructor

Method Summary
`void` | `buildNormalContext()` this method will be called each time a portlet will be repainted.
`(package private) void` | `doChangeScale()` This method changes the scale of the current bounding box

Methods inherited from class org.deegree.portal.portlet.modules.actions.IGeoPortalPortletPerform
`getCurrentMapContextName, getCurrentMapContextName, getCurrentViewContext, getCurrentViewContext, getNamedViewContext, getNamedViewContext, setBoundingBox, setBoundingBox, setBoundingBoxFromBBOXParam, setCurrentMapContext, setCurrentMapContext, setCurrentMapContextName, setCurrentMapContextName, setLayers, setMode, setNameContext, setNameContext, updateContext`

Methods inherited from class org.deegree.portal.portlet.modules.actions.AbstractPortletPerform
`getInitParam, getMapPortletID, readMapContextID_`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REQUESTED_SCALE_VALUE

    public static final String REQUESTED_SCALE_VALUE

See Also:
  Constant Field Values

### AVAILABLE_SCALES

    public static final String AVAILABLE_SCALES

See Also:
  Constant Field Values

### DEFAULT_PIXEL_SIZE

    public static final double DEFAULT_PIXEL_SIZE

See Also:
  Constant Field Values

Constructor Detail

### ScaleChooserPortletPerform

    ScaleChooserPortletPerform(javax.servlet.http.HttpServletRequest request,
                               org.apache.jetspeed.portal.Portlet portlet,
                               javax.servlet.ServletContext sc)

  private constructor

  Parameters:
    `request` -
    `portlet` -
    `sc` -

Method Detail

### buildNormalContext

    public void buildNormalContext()
                            throws PortalException

  Description copied from class: `AbstractPortletPerform`
  this method will be called each time a portlet will be repainted. It determines all portlets visible in a page and writes a Map with the portlets name as key and the portlets ID as value into the forwarded HttpRequest object

  Overrides:
    `buildNormalContext` in class `AbstractPortletPerform`
  Throws:
    `PortalException`

### doChangeScale

    void doChangeScale()
                 throws PortalException

  This method changes the scale of the current bounding box

  Throws:
    `PortalException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org